{
  "schema_version": "1.4.0",
  "id": "GHSA-pf6m-fxpq-fg8v",
  "modified": "2023-07-03T23:57:14Z",
  "published": "2018-07-31T18:21:29Z",
  "aliases": [
    "CVE-2017-5029"
  ],
  "summary": "Nokogiri implementation of libxslt lacks integer overflow checks",
  "details": "The xsltAddTextString function in transform.c in libxslt 1.1.29, as used in Nokogiri prior to 1.7.2, lacked a check for integer overflow during a size calculation, which allowed a remote attacker to perform an out of bounds memory write via a crafted HTML page.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [
    {
      "package": {
        "ecosystem": "RubyGems",
        "name": "nokogiri"
      },
      "ranges": [
        {
          "type": "ECOSYSTEM",
          "events": [
            {
              "introduced": "0"
            },
            {
              "fixed": "1.7.2"
            }
          ]
        }
      ]
    }
  ],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2017-5029"
    },
    {
      "type": "WEB",
      "url": "https://github.com/sparklemotion/nokogiri/issues/1634"
    },
    {
      "type": "WEB",
      "url": "https://git.gnome.org/browse/libxslt/commit/?id=08ab2774b870de1c7b5a48693df75e8154addae5"
    },
    {
      "type": "ADVISORY",
      "url": "https://github.com/advisories/GHSA-pf6m-fxpq-fg8v"
    },
    {
      "type": "WEB",
      "url": "https://github.com/rubysec/ruby-advisory-db/blob/master/gems/nokogiri/CVE-2017-5029.yml"
    },
    {
      "type": "PACKAGE",
      "url": "https://github.com/sparklemotion/nokogiri"
    },
    {
      "type": "WEB",
      "url": "https://ubuntu.com/security/CVE-2017-5029"
    },
    {
      "type": "WEB",
      "url": "https://ubuntu.com/security/notices/USN-3271-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-787"
    ],
    "severity": "HIGH",
    "github_reviewed": true,
    "github_reviewed_at": "2020-06-16T21:48:58Z",
    "nvd_published_at": "2017-04-24T23:59:00Z"
  }
}